Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network208.0.0.0/5
Usable hosts134,217,726
Subnet mask248.0.0.0
Addresses134,217,728
Network address
208.0.0.0
Broadcast address
215.255.255.255
First usable
208.0.0.1
Last usable
215.255.255.254
Usable hosts
134,217,726 (134,217,728 less the network and broadcast addresses)
Subnet mask
248.0.0.0
Wildcard mask
7.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/5
Type
Public public
Old class
C (default /24)
As numbers
Hex D0000000 · Integer 3489660928 to 3623878655
Reverse DNS zones
208.in-addr.arpa
209.in-addr.arpa
210.in-addr.arpa
211.in-addr.arpa
212.in-addr.arpa
213.in-addr.arpa
214.in-addr.arpa
215.in-addr.arpa
/5 is not on a 8-bit boundary, so it takes 8 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010000.00000000.00000000.00000000208.0.0.0
Subnet mask11111000.00000000.00000000.00000000248.0.0.0
Network11010000.00000000.00000000.00000000208.0.0.0
Broadcast11010111.11111111.11111111.11111111215.255.255.255
Split into smaller subnets/17

208.0.0.0/5 makes 4,096 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1208.0.0.0/17208.0.0.1 to 208.0.127.254208.0.127.25532,766
2208.0.128.0/17208.0.128.1 to 208.0.255.254208.0.255.25532,766
3208.1.0.0/17208.1.0.1 to 208.1.127.254208.1.127.25532,766
4208.1.128.0/17208.1.128.1 to 208.1.255.254208.1.255.25532,766
5208.2.0.0/17208.2.0.1 to 208.2.127.254208.2.127.25532,766
6208.2.128.0/17208.2.128.1 to 208.2.255.254208.2.255.25532,766
7208.3.0.0/17208.3.0.1 to 208.3.127.254208.3.127.25532,766
8208.3.128.0/17208.3.128.1 to 208.3.255.254208.3.255.25532,766
9208.4.0.0/17208.4.0.1 to 208.4.127.254208.4.127.25532,766
10208.4.128.0/17208.4.128.1 to 208.4.255.254208.4.255.25532,766
11208.5.0.0/17208.5.0.1 to 208.5.127.254208.5.127.25532,766
12208.5.128.0/17208.5.128.1 to 208.5.255.254208.5.255.25532,766
13208.6.0.0/17208.6.0.1 to 208.6.127.254208.6.127.25532,766
14208.6.128.0/17208.6.128.1 to 208.6.255.254208.6.255.25532,766
15208.7.0.0/17208.7.0.1 to 208.7.127.254208.7.127.25532,766
16208.7.128.0/17208.7.128.1 to 208.7.255.254208.7.255.25532,766
17208.8.0.0/17208.8.0.1 to 208.8.127.254208.8.127.25532,766
18208.8.128.0/17208.8.128.1 to 208.8.255.254208.8.255.25532,766
19208.9.0.0/17208.9.0.1 to 208.9.127.254208.9.127.25532,766
20208.9.128.0/17208.9.128.1 to 208.9.255.254208.9.255.25532,766
21208.10.0.0/17208.10.0.1 to 208.10.127.254208.10.127.25532,766
22208.10.128.0/17208.10.128.1 to 208.10.255.254208.10.255.25532,766
23208.11.0.0/17208.11.0.1 to 208.11.127.254208.11.127.25532,766
24208.11.128.0/17208.11.128.1 to 208.11.255.254208.11.255.25532,766
25208.12.0.0/17208.12.0.1 to 208.12.127.254208.12.127.25532,766
26208.12.128.0/17208.12.128.1 to 208.12.255.254208.12.255.25532,766
27208.13.0.0/17208.13.0.1 to 208.13.127.254208.13.127.25532,766
28208.13.128.0/17208.13.128.1 to 208.13.255.254208.13.255.25532,766
29208.14.0.0/17208.14.0.1 to 208.14.127.254208.14.127.25532,766
30208.14.128.0/17208.14.128.1 to 208.14.255.254208.14.255.25532,766
31208.15.0.0/17208.15.0.1 to 208.15.127.254208.15.127.25532,766
32208.15.128.0/17208.15.128.1 to 208.15.255.254208.15.255.25532,766
33208.16.0.0/17208.16.0.1 to 208.16.127.254208.16.127.25532,766
34208.16.128.0/17208.16.128.1 to 208.16.255.254208.16.255.25532,766
35208.17.0.0/17208.17.0.1 to 208.17.127.254208.17.127.25532,766
36208.17.128.0/17208.17.128.1 to 208.17.255.254208.17.255.25532,766
37208.18.0.0/17208.18.0.1 to 208.18.127.254208.18.127.25532,766
38208.18.128.0/17208.18.128.1 to 208.18.255.254208.18.255.25532,766
39208.19.0.0/17208.19.0.1 to 208.19.127.254208.19.127.25532,766
40208.19.128.0/17208.19.128.1 to 208.19.255.254208.19.255.25532,766
41208.20.0.0/17208.20.0.1 to 208.20.127.254208.20.127.25532,766
42208.20.128.0/17208.20.128.1 to 208.20.255.254208.20.255.25532,766
43208.21.0.0/17208.21.0.1 to 208.21.127.254208.21.127.25532,766
44208.21.128.0/17208.21.128.1 to 208.21.255.254208.21.255.25532,766
45208.22.0.0/17208.22.0.1 to 208.22.127.254208.22.127.25532,766
46208.22.128.0/17208.22.128.1 to 208.22.255.254208.22.255.25532,766
47208.23.0.0/17208.23.0.1 to 208.23.127.254208.23.127.25532,766
48208.23.128.0/17208.23.128.1 to 208.23.255.254208.23.255.25532,766
49208.24.0.0/17208.24.0.1 to 208.24.127.254208.24.127.25532,766
50208.24.128.0/17208.24.128.1 to 208.24.255.254208.24.255.25532,766
51208.25.0.0/17208.25.0.1 to 208.25.127.254208.25.127.25532,766
52208.25.128.0/17208.25.128.1 to 208.25.255.254208.25.255.25532,766
53208.26.0.0/17208.26.0.1 to 208.26.127.254208.26.127.25532,766
54208.26.128.0/17208.26.128.1 to 208.26.255.254208.26.255.25532,766
55208.27.0.0/17208.27.0.1 to 208.27.127.254208.27.127.25532,766
56208.27.128.0/17208.27.128.1 to 208.27.255.254208.27.255.25532,766
57208.28.0.0/17208.28.0.1 to 208.28.127.254208.28.127.25532,766
58208.28.128.0/17208.28.128.1 to 208.28.255.254208.28.255.25532,766
59208.29.0.0/17208.29.0.1 to 208.29.127.254208.29.127.25532,766
60208.29.128.0/17208.29.128.1 to 208.29.255.254208.29.255.25532,766
61208.30.0.0/17208.30.0.1 to 208.30.127.254208.30.127.25532,766
62208.30.128.0/17208.30.128.1 to 208.30.255.254208.30.255.25532,766
63208.31.0.0/17208.31.0.1 to 208.31.127.254208.31.127.25532,766
64208.31.128.0/17208.31.128.1 to 208.31.255.254208.31.255.25532,766
65208.32.0.0/17208.32.0.1 to 208.32.127.254208.32.127.25532,766
66208.32.128.0/17208.32.128.1 to 208.32.255.254208.32.255.25532,766
67208.33.0.0/17208.33.0.1 to 208.33.127.254208.33.127.25532,766
68208.33.128.0/17208.33.128.1 to 208.33.255.254208.33.255.25532,766
69208.34.0.0/17208.34.0.1 to 208.34.127.254208.34.127.25532,766
70208.34.128.0/17208.34.128.1 to 208.34.255.254208.34.255.25532,766
71208.35.0.0/17208.35.0.1 to 208.35.127.254208.35.127.25532,766
72208.35.128.0/17208.35.128.1 to 208.35.255.254208.35.255.25532,766
73208.36.0.0/17208.36.0.1 to 208.36.127.254208.36.127.25532,766
74208.36.128.0/17208.36.128.1 to 208.36.255.254208.36.255.25532,766
75208.37.0.0/17208.37.0.1 to 208.37.127.254208.37.127.25532,766
76208.37.128.0/17208.37.128.1 to 208.37.255.254208.37.255.25532,766
77208.38.0.0/17208.38.0.1 to 208.38.127.254208.38.127.25532,766
78208.38.128.0/17208.38.128.1 to 208.38.255.254208.38.255.25532,766
79208.39.0.0/17208.39.0.1 to 208.39.127.254208.39.127.25532,766
80208.39.128.0/17208.39.128.1 to 208.39.255.254208.39.255.25532,766
81208.40.0.0/17208.40.0.1 to 208.40.127.254208.40.127.25532,766
82208.40.128.0/17208.40.128.1 to 208.40.255.254208.40.255.25532,766
83208.41.0.0/17208.41.0.1 to 208.41.127.254208.41.127.25532,766
84208.41.128.0/17208.41.128.1 to 208.41.255.254208.41.255.25532,766
85208.42.0.0/17208.42.0.1 to 208.42.127.254208.42.127.25532,766
86208.42.128.0/17208.42.128.1 to 208.42.255.254208.42.255.25532,766
87208.43.0.0/17208.43.0.1 to 208.43.127.254208.43.127.25532,766
88208.43.128.0/17208.43.128.1 to 208.43.255.254208.43.255.25532,766
89208.44.0.0/17208.44.0.1 to 208.44.127.254208.44.127.25532,766
90208.44.128.0/17208.44.128.1 to 208.44.255.254208.44.255.25532,766
91208.45.0.0/17208.45.0.1 to 208.45.127.254208.45.127.25532,766
92208.45.128.0/17208.45.128.1 to 208.45.255.254208.45.255.25532,766
93208.46.0.0/17208.46.0.1 to 208.46.127.254208.46.127.25532,766
94208.46.128.0/17208.46.128.1 to 208.46.255.254208.46.255.25532,766
95208.47.0.0/17208.47.0.1 to 208.47.127.254208.47.127.25532,766
96208.47.128.0/17208.47.128.1 to 208.47.255.254208.47.255.25532,766
97208.48.0.0/17208.48.0.1 to 208.48.127.254208.48.127.25532,766
98208.48.128.0/17208.48.128.1 to 208.48.255.254208.48.255.25532,766
99208.49.0.0/17208.49.0.1 to 208.49.127.254208.49.127.25532,766
100208.49.128.0/17208.49.128.1 to 208.49.255.254208.49.255.25532,766
101208.50.0.0/17208.50.0.1 to 208.50.127.254208.50.127.25532,766
102208.50.128.0/17208.50.128.1 to 208.50.255.254208.50.255.25532,766
103208.51.0.0/17208.51.0.1 to 208.51.127.254208.51.127.25532,766
104208.51.128.0/17208.51.128.1 to 208.51.255.254208.51.255.25532,766
105208.52.0.0/17208.52.0.1 to 208.52.127.254208.52.127.25532,766
106208.52.128.0/17208.52.128.1 to 208.52.255.254208.52.255.25532,766
107208.53.0.0/17208.53.0.1 to 208.53.127.254208.53.127.25532,766
108208.53.128.0/17208.53.128.1 to 208.53.255.254208.53.255.25532,766
109208.54.0.0/17208.54.0.1 to 208.54.127.254208.54.127.25532,766
110208.54.128.0/17208.54.128.1 to 208.54.255.254208.54.255.25532,766
111208.55.0.0/17208.55.0.1 to 208.55.127.254208.55.127.25532,766
112208.55.128.0/17208.55.128.1 to 208.55.255.254208.55.255.25532,766
113208.56.0.0/17208.56.0.1 to 208.56.127.254208.56.127.25532,766
114208.56.128.0/17208.56.128.1 to 208.56.255.254208.56.255.25532,766
115208.57.0.0/17208.57.0.1 to 208.57.127.254208.57.127.25532,766
116208.57.128.0/17208.57.128.1 to 208.57.255.254208.57.255.25532,766
117208.58.0.0/17208.58.0.1 to 208.58.127.254208.58.127.25532,766
118208.58.128.0/17208.58.128.1 to 208.58.255.254208.58.255.25532,766
119208.59.0.0/17208.59.0.1 to 208.59.127.254208.59.127.25532,766
120208.59.128.0/17208.59.128.1 to 208.59.255.254208.59.255.25532,766
121208.60.0.0/17208.60.0.1 to 208.60.127.254208.60.127.25532,766
122208.60.128.0/17208.60.128.1 to 208.60.255.254208.60.255.25532,766
123208.61.0.0/17208.61.0.1 to 208.61.127.254208.61.127.25532,766
124208.61.128.0/17208.61.128.1 to 208.61.255.254208.61.255.25532,766
125208.62.0.0/17208.62.0.1 to 208.62.127.254208.62.127.25532,766
126208.62.128.0/17208.62.128.1 to 208.62.255.254208.62.255.25532,766
127208.63.0.0/17208.63.0.1 to 208.63.127.254208.63.127.25532,766
128208.63.128.0/17208.63.128.1 to 208.63.255.254208.63.255.25532,766
129208.64.0.0/17208.64.0.1 to 208.64.127.254208.64.127.25532,766
130208.64.128.0/17208.64.128.1 to 208.64.255.254208.64.255.25532,766
131208.65.0.0/17208.65.0.1 to 208.65.127.254208.65.127.25532,766
132208.65.128.0/17208.65.128.1 to 208.65.255.254208.65.255.25532,766
133208.66.0.0/17208.66.0.1 to 208.66.127.254208.66.127.25532,766
134208.66.128.0/17208.66.128.1 to 208.66.255.254208.66.255.25532,766
135208.67.0.0/17208.67.0.1 to 208.67.127.254208.67.127.25532,766
136208.67.128.0/17208.67.128.1 to 208.67.255.254208.67.255.25532,766
137208.68.0.0/17208.68.0.1 to 208.68.127.254208.68.127.25532,766
138208.68.128.0/17208.68.128.1 to 208.68.255.254208.68.255.25532,766
139208.69.0.0/17208.69.0.1 to 208.69.127.254208.69.127.25532,766
140208.69.128.0/17208.69.128.1 to 208.69.255.254208.69.255.25532,766
141208.70.0.0/17208.70.0.1 to 208.70.127.254208.70.127.25532,766
142208.70.128.0/17208.70.128.1 to 208.70.255.254208.70.255.25532,766
143208.71.0.0/17208.71.0.1 to 208.71.127.254208.71.127.25532,766
144208.71.128.0/17208.71.128.1 to 208.71.255.254208.71.255.25532,766
145208.72.0.0/17208.72.0.1 to 208.72.127.254208.72.127.25532,766
146208.72.128.0/17208.72.128.1 to 208.72.255.254208.72.255.25532,766
147208.73.0.0/17208.73.0.1 to 208.73.127.254208.73.127.25532,766
148208.73.128.0/17208.73.128.1 to 208.73.255.254208.73.255.25532,766
149208.74.0.0/17208.74.0.1 to 208.74.127.254208.74.127.25532,766
150208.74.128.0/17208.74.128.1 to 208.74.255.254208.74.255.25532,766
151208.75.0.0/17208.75.0.1 to 208.75.127.254208.75.127.25532,766
152208.75.128.0/17208.75.128.1 to 208.75.255.254208.75.255.25532,766
153208.76.0.0/17208.76.0.1 to 208.76.127.254208.76.127.25532,766
154208.76.128.0/17208.76.128.1 to 208.76.255.254208.76.255.25532,766
155208.77.0.0/17208.77.0.1 to 208.77.127.254208.77.127.25532,766
156208.77.128.0/17208.77.128.1 to 208.77.255.254208.77.255.25532,766
157208.78.0.0/17208.78.0.1 to 208.78.127.254208.78.127.25532,766
158208.78.128.0/17208.78.128.1 to 208.78.255.254208.78.255.25532,766
159208.79.0.0/17208.79.0.1 to 208.79.127.254208.79.127.25532,766
160208.79.128.0/17208.79.128.1 to 208.79.255.254208.79.255.25532,766
161208.80.0.0/17208.80.0.1 to 208.80.127.254208.80.127.25532,766
162208.80.128.0/17208.80.128.1 to 208.80.255.254208.80.255.25532,766
163208.81.0.0/17208.81.0.1 to 208.81.127.254208.81.127.25532,766
164208.81.128.0/17208.81.128.1 to 208.81.255.254208.81.255.25532,766
165208.82.0.0/17208.82.0.1 to 208.82.127.254208.82.127.25532,766
166208.82.128.0/17208.82.128.1 to 208.82.255.254208.82.255.25532,766
167208.83.0.0/17208.83.0.1 to 208.83.127.254208.83.127.25532,766
168208.83.128.0/17208.83.128.1 to 208.83.255.254208.83.255.25532,766
169208.84.0.0/17208.84.0.1 to 208.84.127.254208.84.127.25532,766
170208.84.128.0/17208.84.128.1 to 208.84.255.254208.84.255.25532,766
171208.85.0.0/17208.85.0.1 to 208.85.127.254208.85.127.25532,766
172208.85.128.0/17208.85.128.1 to 208.85.255.254208.85.255.25532,766
173208.86.0.0/17208.86.0.1 to 208.86.127.254208.86.127.25532,766
174208.86.128.0/17208.86.128.1 to 208.86.255.254208.86.255.25532,766
175208.87.0.0/17208.87.0.1 to 208.87.127.254208.87.127.25532,766
176208.87.128.0/17208.87.128.1 to 208.87.255.254208.87.255.25532,766
177208.88.0.0/17208.88.0.1 to 208.88.127.254208.88.127.25532,766
178208.88.128.0/17208.88.128.1 to 208.88.255.254208.88.255.25532,766
179208.89.0.0/17208.89.0.1 to 208.89.127.254208.89.127.25532,766
180208.89.128.0/17208.89.128.1 to 208.89.255.254208.89.255.25532,766
181208.90.0.0/17208.90.0.1 to 208.90.127.254208.90.127.25532,766
182208.90.128.0/17208.90.128.1 to 208.90.255.254208.90.255.25532,766
183208.91.0.0/17208.91.0.1 to 208.91.127.254208.91.127.25532,766
184208.91.128.0/17208.91.128.1 to 208.91.255.254208.91.255.25532,766
185208.92.0.0/17208.92.0.1 to 208.92.127.254208.92.127.25532,766
186208.92.128.0/17208.92.128.1 to 208.92.255.254208.92.255.25532,766
187208.93.0.0/17208.93.0.1 to 208.93.127.254208.93.127.25532,766
188208.93.128.0/17208.93.128.1 to 208.93.255.254208.93.255.25532,766
189208.94.0.0/17208.94.0.1 to 208.94.127.254208.94.127.25532,766
190208.94.128.0/17208.94.128.1 to 208.94.255.254208.94.255.25532,766
191208.95.0.0/17208.95.0.1 to 208.95.127.254208.95.127.25532,766
192208.95.128.0/17208.95.128.1 to 208.95.255.254208.95.255.25532,766
193208.96.0.0/17208.96.0.1 to 208.96.127.254208.96.127.25532,766
194208.96.128.0/17208.96.128.1 to 208.96.255.254208.96.255.25532,766
195208.97.0.0/17208.97.0.1 to 208.97.127.254208.97.127.25532,766
196208.97.128.0/17208.97.128.1 to 208.97.255.254208.97.255.25532,766
197208.98.0.0/17208.98.0.1 to 208.98.127.254208.98.127.25532,766
198208.98.128.0/17208.98.128.1 to 208.98.255.254208.98.255.25532,766
199208.99.0.0/17208.99.0.1 to 208.99.127.254208.99.127.25532,766
200208.99.128.0/17208.99.128.1 to 208.99.255.254208.99.255.25532,766
201208.100.0.0/17208.100.0.1 to 208.100.127.254208.100.127.25532,766
202208.100.128.0/17208.100.128.1 to 208.100.255.254208.100.255.25532,766
203208.101.0.0/17208.101.0.1 to 208.101.127.254208.101.127.25532,766
204208.101.128.0/17208.101.128.1 to 208.101.255.254208.101.255.25532,766
205208.102.0.0/17208.102.0.1 to 208.102.127.254208.102.127.25532,766
206208.102.128.0/17208.102.128.1 to 208.102.255.254208.102.255.25532,766
207208.103.0.0/17208.103.0.1 to 208.103.127.254208.103.127.25532,766
208208.103.128.0/17208.103.128.1 to 208.103.255.254208.103.255.25532,766
209208.104.0.0/17208.104.0.1 to 208.104.127.254208.104.127.25532,766
210208.104.128.0/17208.104.128.1 to 208.104.255.254208.104.255.25532,766
211208.105.0.0/17208.105.0.1 to 208.105.127.254208.105.127.25532,766
212208.105.128.0/17208.105.128.1 to 208.105.255.254208.105.255.25532,766
213208.106.0.0/17208.106.0.1 to 208.106.127.254208.106.127.25532,766
214208.106.128.0/17208.106.128.1 to 208.106.255.254208.106.255.25532,766
215208.107.0.0/17208.107.0.1 to 208.107.127.254208.107.127.25532,766
216208.107.128.0/17208.107.128.1 to 208.107.255.254208.107.255.25532,766
217208.108.0.0/17208.108.0.1 to 208.108.127.254208.108.127.25532,766
218208.108.128.0/17208.108.128.1 to 208.108.255.254208.108.255.25532,766
219208.109.0.0/17208.109.0.1 to 208.109.127.254208.109.127.25532,766
220208.109.128.0/17208.109.128.1 to 208.109.255.254208.109.255.25532,766
221208.110.0.0/17208.110.0.1 to 208.110.127.254208.110.127.25532,766
222208.110.128.0/17208.110.128.1 to 208.110.255.254208.110.255.25532,766
223208.111.0.0/17208.111.0.1 to 208.111.127.254208.111.127.25532,766
224208.111.128.0/17208.111.128.1 to 208.111.255.254208.111.255.25532,766
225208.112.0.0/17208.112.0.1 to 208.112.127.254208.112.127.25532,766
226208.112.128.0/17208.112.128.1 to 208.112.255.254208.112.255.25532,766
227208.113.0.0/17208.113.0.1 to 208.113.127.254208.113.127.25532,766
228208.113.128.0/17208.113.128.1 to 208.113.255.254208.113.255.25532,766
229208.114.0.0/17208.114.0.1 to 208.114.127.254208.114.127.25532,766
230208.114.128.0/17208.114.128.1 to 208.114.255.254208.114.255.25532,766
231208.115.0.0/17208.115.0.1 to 208.115.127.254208.115.127.25532,766
232208.115.128.0/17208.115.128.1 to 208.115.255.254208.115.255.25532,766
233208.116.0.0/17208.116.0.1 to 208.116.127.254208.116.127.25532,766
234208.116.128.0/17208.116.128.1 to 208.116.255.254208.116.255.25532,766
235208.117.0.0/17208.117.0.1 to 208.117.127.254208.117.127.25532,766
236208.117.128.0/17208.117.128.1 to 208.117.255.254208.117.255.25532,766
237208.118.0.0/17208.118.0.1 to 208.118.127.254208.118.127.25532,766
238208.118.128.0/17208.118.128.1 to 208.118.255.254208.118.255.25532,766
239208.119.0.0/17208.119.0.1 to 208.119.127.254208.119.127.25532,766
240208.119.128.0/17208.119.128.1 to 208.119.255.254208.119.255.25532,766
241208.120.0.0/17208.120.0.1 to 208.120.127.254208.120.127.25532,766
242208.120.128.0/17208.120.128.1 to 208.120.255.254208.120.255.25532,766
243208.121.0.0/17208.121.0.1 to 208.121.127.254208.121.127.25532,766
244208.121.128.0/17208.121.128.1 to 208.121.255.254208.121.255.25532,766
245208.122.0.0/17208.122.0.1 to 208.122.127.254208.122.127.25532,766
246208.122.128.0/17208.122.128.1 to 208.122.255.254208.122.255.25532,766
247208.123.0.0/17208.123.0.1 to 208.123.127.254208.123.127.25532,766
248208.123.128.0/17208.123.128.1 to 208.123.255.254208.123.255.25532,766
249208.124.0.0/17208.124.0.1 to 208.124.127.254208.124.127.25532,766
250208.124.128.0/17208.124.128.1 to 208.124.255.254208.124.255.25532,766
251208.125.0.0/17208.125.0.1 to 208.125.127.254208.125.127.25532,766
252208.125.128.0/17208.125.128.1 to 208.125.255.254208.125.255.25532,766
253208.126.0.0/17208.126.0.1 to 208.126.127.254208.126.127.25532,766
254208.126.128.0/17208.126.128.1 to 208.126.255.254208.126.255.25532,766
255208.127.0.0/17208.127.0.1 to 208.127.127.254208.127.127.25532,766
256208.127.128.0/17208.127.128.1 to 208.127.255.254208.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses